Subject: ObjectAccess::getPropertyPath doesn't support Arrays
Description

Would be great to enable the Access of Arrays through the getPropertyPath.

It already used to work with this old implementation of the getProperty function:
static public function getPropertyPath($object, $propertyPath) {
    $propertyPathSegments = explode('.', $propertyPath);
    foreach ($propertyPathSegments as $pathSegment) {
        $object = self::getProperty($object, $pathSegment);
        if ($object === NULL) return NULL;
    }
    return $object;
}

Main Problem seems the isPropertyGettable function because it only checks the Objects getters and doesn't consider all Possibilities
supported by the getProperty function.

Related issues:
related to TYPO3.Fluid - Feature # 7203: Object accessor could work for assoc... Resolved 2010-04-10

Associated revisions
Revision 075204e3 - 2010-04-16 13:25 - Karsten Dambekalns

[+FEATURE] FLOW3 (Reflection): ObjectAccess::getPropertyPath does support Arrays now, resolves #6390, relates to #7203.

History
#1 - 2010-02-18 19:26 - Karsten Dambekalns
- Category set to Reflection

#2 - 2010-03-12 15:35 - Marc Neuhaus
- File ObjectAccess.diff added

Here is a Diff(Based on current trunk) to enable the Access of Arrays through ObjectAccess

#3 - 2010-03-18 17:13 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#4 - 2010-04-16 12:17 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 8
- Start date changed from 2010-02-07 to 2010-04-16
- Estimated time set to 1.00

#5 - 2010-04-16 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4185.

Files
ObjectAccess.diff 420 Bytes 2010-03-12 Marc Neuhaus
